Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[portage] pb mask sur mon dernier emerge world [resolu]
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index French
View previous topic :: View next topic  
Author Message
BENJI
Guru
Guru


Joined: 10 Sep 2003
Posts: 543

PostPosted: Mon Jan 12, 2009 8:39 am    Post subject: [portage] pb mask sur mon dernier emerge world [resolu] Reply with quote

Bonjour,
Je viens de lancer un "emerge world" après un "emerge --sync".
Code:
ataualpa ben # emerge  -av world

These are the packages that would be merged, in order:

Calculating dependencies... done!

!!! All ebuilds that could satisfy "app-portage/udept" have been masked.
!!! One of the following masked packages is required to complete your request:
- app-portage/udept-0.5.99.0.2.95-r1 (masked by: package.mask)
/usr/portage/profiles/package.mask:
# Paul Varner <fuzzyray@gentoo.org> (14 Dec 2008)
# Dead upstream, masked for removal in ~30 to 60 days.

- app-portage/udept-0.5.99.0.2.95 (masked by: package.mask)
- app-portage/udept-0.5.96.2 (masked by: package.mask)

For more information, see the MASKED PACKAGES section in the emerge
man page or refer to the Gentoo Handbook.


!!! All ebuilds that could satisfy "x11-libs/qt-webkit:4" have been masked.
!!! One of the following masked packages is required to complete your request:
- x11-libs/qt-webkit-4.4.2 (masked by: ~x86 keyword)

For more information, see the MASKED PACKAGES section in the emerge
man page or refer to the Gentoo Handbook.
(dependency required by "media-sound/amarok-2.0" [ebuild])
(dependency required by "world" [argument])

J'ai donc ajouté les lignes suivante à /etc/portage/package.keywords
Code:
## update 12/01/09 ##
app-portage/udept
x11-libs/qt-webkit:4

Je relance un "emerge world" mais nouveau pb
Code:
ataualpa ben # emerge world
Calculating dependencies... done!

!!! All ebuilds that could satisfy "app-portage/udept" have been masked.
!!! One of the following masked packages is required to complete your request:
- app-portage/udept-0.5.99.0.2.95-r1 (masked by: package.mask)
/usr/portage/profiles/package.mask:
# Paul Varner <fuzzyray@gentoo.org> (14 Dec 2008)
# Dead upstream, masked for removal in ~30 to 60 days.

- app-portage/udept-0.5.99.0.2.95 (masked by: package.mask)
- app-portage/udept-0.5.96.2 (masked by: package.mask)

For more information, see the MASKED PACKAGES section in the emerge
man page or refer to the Gentoo Handbook.


!!! All ebuilds that could satisfy ">=kde-base/kdelibs-4.1:4.1[-kdeprefix]" have been masked.
!!! One of the following masked packages is required to complete your request:
- kde-base/kdelibs-4.1.3-r1 (masked by: ~x86 keyword)
- kde-base/kdelibs-4.1.3 (masked by: ~x86 keyword)
- kde-base/kdelibs-4.1.2-r1 (masked by: ~x86 keyword)
- kde-base/kdelibs-4.1.2 (masked by: ~x86 keyword)

For more information, see the MASKED PACKAGES section in the emerge
man page or refer to the Gentoo Handbook.
(dependency required by "media-sound/amarok-2.0" [ebuild])
(dependency required by "world" [argument])

je recommence
Code:
echo ">=kde-base/kdelibs-4.1:4.1[-kdeprefix]" >> /etc/portage/package.keywords

Je relance un "emerge world" mais ça marche toujours pas :
Code:
ataualpa ben # emerge world
Calculating dependencies... done!

!!! All ebuilds that could satisfy "app-portage/udept" have been masked.
!!! One of the following masked packages is required to complete your request:
- app-portage/udept-0.5.99.0.2.95-r1 (masked by: package.mask)
/usr/portage/profiles/package.mask:
# Paul Varner <fuzzyray@gentoo.org> (14 Dec 2008)
# Dead upstream, masked for removal in ~30 to 60 days.

- app-portage/udept-0.5.99.0.2.95 (masked by: package.mask)
- app-portage/udept-0.5.96.2 (masked by: package.mask)

For more information, see the MASKED PACKAGES section in the emerge
man page or refer to the Gentoo Handbook.


!!! All ebuilds that could satisfy ">=kde-base/plasma-workspace-4.1" have been masked.
!!! One of the following masked packages is required to complete your request:
- kde-base/plasma-workspace-4.1.3 (masked by: ~x86 keyword)
- kde-base/plasma-workspace-4.1.2 (masked by: ~x86 keyword)

For more information, see the MASKED PACKAGES section in the emerge
man page or refer to the Gentoo Handbook.
(dependency required by "media-sound/amarok-2.0" [ebuild])
(dependency required by "world" [argument])

plasma maintenant ????

Là je demande conseil !

Je n'utilise pas à ce jour KDE4 mais toujours le 3 faute de wiki pour savoir comment passer de l'un à l'autre.
Je penseque le pb viens de là puisque je veux utiliser amarok de plus le paquet udep apparaît toujours...


Last edited by BENJI on Fri Jan 16, 2009 9:07 am; edited 1 time in total
Back to top
View user's profile Send private message
tarpman
Veteran
Veteran


Joined: 04 Nov 2004
Posts: 1083
Location: Victoria, BC, Canada

PostPosted: Mon Jan 12, 2009 8:56 am    Post subject: Reply with quote

Il paraît que l'auteur de udept a disparu: alors ce paquet ne va plus être disponible. Tu devrais l'enlever de ta système. Si tu ne sais pas comment le remplacer (je ne sais pas que fait udept) posez-nous tes questions.

Pour amarok: amarok-1.90 et amarok-2.0 (toutes versions ~arch) ont besoin de KDE 4. Assure-toi que tu n'as aucun amarok dans ton package.keywords; ou, si tu veux la version 1.4x la plus récente, mets comme ça:
/etc/portage/package.keywords:
media-sound/amarok:0

Si tu ne vas pas installer amarok-1.90 ni amarok-2.0, tu ne devrais non plus avoir besoin de qt:4.
_________________
Saving the world, one kilobyte at a time.
Back to top
View user's profile Send private message
titoucha
Advocate
Advocate


Joined: 21 Jul 2005
Posts: 2374
Location: Genève

PostPosted: Mon Jan 12, 2009 10:51 am    Post subject: Reply with quote

Tu as quelle version de kde installé?
_________________
Assurez-vous que le titre de votre message soit conforme aux conventions de ce forum (paragraphe 3/3 : Comment poster sur le forum ??)
Back to top
View user's profile Send private message
BENJI
Guru
Guru


Joined: 10 Sep 2003
Posts: 543

PostPosted: Mon Jan 12, 2009 11:29 am    Post subject: Reply with quote

J'ai kde 3.5.9
et j'ai un bien media-sound/amarok dans mon fichier package.keywords !

Comment supprimer udep ?
Comment passer à kde 4 (j'ai un celeron 1,3 ghz j'ai peur qu'il ne suive pas au niveau ressource)
Back to top
View user's profile Send private message
Mickael
Advocate
Advocate


Joined: 05 Sep 2005
Posts: 2383
Location: ~Belfort! - France - EU

PostPosted: Mon Jan 12, 2009 1:09 pm    Post subject: Reply with quote

Salut pour supprimer udept c'est pas bien compliqué : emerge -C udept
_________________
À LIRE : COMMENT POSTER ET OBTENIR DE L'AIDE ?
Qui suis-je ? Bon j'ai relu, comme d'habitude, je suis bon a rien le vendredi
Qui suis-je ? Je ne serai jamais modo
Back to top
View user's profile Send private message
BENJI
Guru
Guru


Joined: 10 Sep 2003
Posts: 543

PostPosted: Mon Jan 12, 2009 1:37 pm    Post subject: Reply with quote

oui ça je m'en doutais.
Ma question (pas clair je l'admets) porte sur les conséquences qu'il faut craindre !

Sinon je remets mes précédente question :
J'ai kde 3.5.9
et j'ai un bien media-sound/amarok dans mon fichier package.keywords !
Comment passer à kde 4 (j'ai un celeron 1,3 ghz j'ai peur qu'il ne suive pas au niveau ressource)
Back to top
View user's profile Send private message
titoucha
Advocate
Advocate


Joined: 21 Jul 2005
Posts: 2374
Location: Genève

PostPosted: Mon Jan 12, 2009 3:04 pm    Post subject: Reply with quote

Si tu désires savoir quel programme dépend de udept
Code:
equery d udept

_________________
Assurez-vous que le titre de votre message soit conforme aux conventions de ce forum (paragraphe 3/3 : Comment poster sur le forum ??)
Back to top
View user's profile Send private message
BENJI
Guru
Guru


Joined: 10 Sep 2003
Posts: 543

PostPosted: Mon Jan 12, 2009 3:22 pm    Post subject: Reply with quote

ça ne renvoie aucun résultat.
...
ça sert à rien donc je dégomme et on verra.
Sinon pour mon soucis d'amarok que me conseillez vous ?
Retirer amarok de mon package.keywords ou migrer vers le nouveau kde 4.1 (si oui avez-vous un guide à jour que je peux suivre)
Back to top
View user's profile Send private message
ppg
Apprentice
Apprentice


Joined: 05 Oct 2008
Posts: 178
Location: Toulouse

PostPosted: Mon Jan 12, 2009 7:52 pm    Post subject: Reply with quote

Il y a bien un guide, mais dolphin refusait de compiler chez moi (version 4.1.2 et 4.1.3) car il lui manquait un header dans /usr/include, je crois que le bug a été signalé, mais je crois pas qu'il ait été corigé. Pour que ça marche je suis allé chercher le header sur le site de KDE, et je l'ai copié dans /usr/include/ et à mon avis cette méthode craind un max, mais ça marche. (L'autre solution plus propre aurait été de refaire l'ebuild de la libkonq pour qu'il installe le header manquant, mais j'ai pas eu le temps).

Sinon le guide pour KDE 4.1 c'est :
http://www.gentoo.org/proj/en/desktop/kde/kde4-guide.xml

Sinon, KDE 4.2 sort bientôt,en théorie, je pense que ça vaut plus le coup que tu attendes qu'il sorte pour envisager de migrer vers KDE 4.x vu que certains bugs devraient être corrigés.
En plus, il manque encore beaucoup de possibilités et d'applis de KDE 3.5 pour l'instant (K3B, koffice, …)
Back to top
View user's profile Send private message
BENJI
Guru
Guru


Joined: 10 Sep 2003
Posts: 543

PostPosted: Tue Jan 13, 2009 2:22 pm    Post subject: Reply with quote

Merci pour ce conseil avisé... je vais donc attendre kde 4.2.
J'ai donc dégomé udept et mis media-sound/amarok:0 dans mon /etc/portage/package.keywords.

L'emerge world est en cours mais il y a du grabuge j'ai l'impression...
Je laisse tourner les compilations (j'en suis à mon deuxième skipfirst) mais il semblerait que k9copy soit aussi en souffrance (sûrement pour les mêmes raisons que amarock) et d'autre paquets.

:roll: bref un peu de patience (reste 124 paquets) et je reposte !
Back to top
View user's profile Send private message
BENJI
Guru
Guru


Joined: 10 Sep 2003
Posts: 543

PostPosted: Thu Jan 15, 2009 8:45 am    Post subject: Reply with quote

C'est très curieux.
J'ai lancé un emerge -av world avant hier.
120 paquet environ à mettre à jour.
Celui-ci a planté sur un paquet ddcxinfo-knoppix.
J'ai donc fait un emerge --resume --skipfirst world qui a été jusque son terme.
Quand il a eu fini j'ai relancé un emerge -av world pensant que seul le paquet ddcxinfo-knoppix apparaîtrait dans la liste.
Mais, il m'a de nouveau relancé une installation des 120 paquets précédent et de nouveau bloqué sur ddcxinfo-knoppix
Cette fois-ci j'ai fait juste un emerge --skipfirst world et ça compile toujours. Il ne reste plus que 6 paquets.
J'envisage donc de refaire ensuite un emerge world mais ma crainte est qu'il relance l'installation des 120 paquets...
Mais pourquoi a t-il fait ça ? est-ce à cause de l'option --resume ?
Back to top
View user's profile Send private message
Gaby
Apprentice
Apprentice


Joined: 03 Aug 2005
Posts: 251

PostPosted: Thu Jan 15, 2009 10:15 am    Post subject: Reply with quote

Code:
emerge -av world

Cette commande demande à emerge de réinstallé le world donc rien d'étonnant à ce qu'il te sorte les mêmes paquets à chaque fois.

Tu ne chercherais pas à faire plutôt un update de ton world :
Code:
emerge -uDNav world


Après pour le paquet qui bloque aucune idée
Back to top
View user's profile Send private message
BENJI
Guru
Guru


Joined: 10 Sep 2003
Posts: 543

PostPosted: Thu Jan 15, 2009 1:37 pm    Post subject: Reply with quote

Si bien vue, j'ai oublié le u !
Tout ce temps perdu !
:evil:
Back to top
View user's profile Send private message
tarpman
Veteran
Veteran


Joined: 04 Nov 2004
Posts: 1083
Location: Victoria, BC, Canada

PostPosted: Fri Jan 16, 2009 3:40 am    Post subject: Reply with quote

ouch :(
_________________
Saving the world, one kilobyte at a time.
Back to top
View user's profile Send private message
BENJI
Guru
Guru


Joined: 10 Sep 2003
Posts: 543

PostPosted: Fri Jan 16, 2009 9:07 am    Post subject: Reply with quote

Je te le fais pas dire !
Au moins je suis pas près de l'oublier la prochaine fois !
:lol:
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index French All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum